#include <Adafruit_GFX.h>
#include <Adafruit_ILI9341.h>
#include <Fonts/FreeSans12pt7b.h>

#include "colors.h"
#include "neopixel.h"

#define TFT_CS 9
#define TFT_DC 10
#define BACKGROUND_COLOR	0xDEFB
#define FOREGROUND_COLOR	BLACK

Adafruit_ILI9341 tft(TFT_CS, TFT_DC);


void
setup()
{
	Serial.begin(115200);

	neopxl::start();

	tft.begin();
	tft.setRotation(1);
	tft.setTextSize(1);
	tft.setCursor(0, 8);

	tft.fillScreen(BACKGROUND_COLOR);
	tft.setTextColor(FOREGROUND_COLOR);
  	
  	tft.println(" \\ (define square (x) (* x ))");
	tft.println(" \\ (square 3)");
	tft.println(" 9");
	tft.println(" \\ ");
}


void
loop()
{
	static bool	on = false;

	on = neopxl::blink(on);
	delayMicroseconds(100);
}
