#include "neopixel.h"
#include <Adafruit_NeoPixel.h>

namespace neopxl {
Adafruit_NeoPixel pixels(1, 11, NEO_GRB + NEO_KHZ800);

auto cOff = pixels.Color(0, 0, 0);
auto cGreen = pixels.Color(0, 255, 0);
auto cRed = pixels.Color(255, 0, 0);
auto cBlue = pixels.Color(0, 0, 255);


static void
pixelOn(uint32_t c)
{
	pixels.setPixelColor(0, c);
	pixels.show();
}


static void
pixelOff()
{
	pixels.setPixelColor(0, cOff);
	pixels.show();
}


void
start()
{
	pixels.begin();
	pixels.clear();
	pixels.show();
}


bool
blink(bool on)
{
	if (on) {
		for (int i = 10; i < 255; i++) {
			auto c = pixels.Color(0, (uint8_t)i, 0);
			pixels.setPixelColor(0, c);
			pixels.show();
			delay(4);
		}
		on = false;
	} else {
		for (int i = 255; i > 9; i--) {
			auto c = pixels.Color(0, (uint8_t)i, 0);
			pixels.setPixelColor(0, c);
			pixels.show();
			delay(4);
		}
		on = true;
	}

	return on;
}



}; // namespace neopxl